Backups - List By Server
Geef alle back-ups voor een bepaalde server weer.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforMySQL/flexibleServers/{serverName}/backups?api-version=2024-12-30
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
server
|
path | True |
string minLength: 1maxLength: 63 pattern: ^[a-z0-9][-a-z0-9]*(? |
De naam van de server. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-bewerking is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
List backups for a server
Voorbeeldaanvraag
Voorbeeldrespons
{
"value": [
{
"name": "daily_20210615T160516",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210615T160516",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-15T16:05:19.902522+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210616T160520",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210616T160520",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-16T16:05:23.9243453+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210617T160525",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210617T160525",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-17T16:05:28.1247488+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210618T160529",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210618T160529",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-18T16:05:32.2736701+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210619T160533",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210619T160533",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-19T16:05:36.8603354+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210620T160538",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210620T160538",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-20T16:05:41.9200138+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210621T160543",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210621T160543",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-21T16:05:48.8528447+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210622T160803",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210622T160803",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-22T16:08:06.3121688+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210622T210807",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210622T210807",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-22T21:08:10.5057354+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210623T212413",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210623T212413",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-23T21:24:16.9401531+00:00",
"source": "Automatic"
}
},
{
"name": "daily_20210624T061328",
"type": "Microsoft.DBforMySQL/flexibleServers/backups",
"id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestGroup/providers/Microsoft.DBforMySQL/flexibleServers/mysqltestserver/backups/daily_20210624T061328",
"properties": {
"backupType": "FULL",
"completedTime": "2021-06-24T06:13:31.4962137+00:00",
"source": "Automatic"
}
}
]
}
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Server |
Eigenschappen van serverback-up |
|
Server |
Het antwoord van een ServerBackup-lijstbewerking. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
ServerBackup
Eigenschappen van serverback-up
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties.backupType |
string |
Type back-up. |
| properties.completedTime |
string (date-time) |
Voltooide back-uptijd (ISO8601-indeling). |
| properties.source |
string |
Back-upbron |
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| type |
string |
Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
ServerBackupListResult
Het antwoord van een ServerBackup-lijstbewerking.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
De link naar de volgende pagina met items |
| value |
De ServerBackup-items op deze pagina |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |